'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _actions = require('./actions');

var notify = function notify(events) {
  return function (_ref) {
    var dispatch = _ref.dispatch;
    return function (next) {
      return function (action) {
        if (events.indexOf(action.type) !== -1) {
          (function () {
            var notificationPayload = action.notificationPayload,
                _action$notificationD = action.notificationDelay,
                notificationDelay = _action$notificationD === undefined ? 1000 : _action$notificationD,
                notificationType = action.notificationType;

            var id = new Date().getTime();
            dispatch((0, _actions.showNotification)({
              notificationPayload: notificationPayload,
              notificationDelay: notificationDelay,
              notificationType: notificationType,
              id: id
            }));
            setTimeout(function () {
              dispatch((0, _actions.hideNotification)(id));
            }, notificationDelay);
          })();
        }
        return next(action);
      };
    };
  };
};

exports.default = notify;