'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _constants = require('./constants');

var _constants2 = _interopRequireDefault(_constants);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

exports.default = function () {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];
  var action = arguments[1];

  switch (action.type) {
    case _constants2.default.SHOW_NOTIFICATION:
      {
        var notificationPayload = action.notificationPayload,
            id = action.id,
            notificationDelay = action.notificationDelay,
            notificationType = action.notificationType;

        return [].concat(_toConsumableArray(state), [{ notificationPayload: notificationPayload, notificationDelay: notificationDelay, id: id, notificationType: notificationType }]);
      }
    case _constants2.default.HIDE_NOTIFICATION:
      {
        return [].concat(_toConsumableArray(state)).filter(function (n) {
          return n.id !== action.id;
        });
      }
    default:
      return state;
  }
};